classification
Title: zipfile module and 2G boundary
Type: Stage:
Components: Library (Lib) Versions: Python 3.0, Python 2.6, Python 2.5
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: gregory.p.smith Nosy List: bob.ippolito, gregory.p.smith, jcea, mdcowles
Priority: normal Keywords: patch

Created on 2005-04-25 02:08 by bob.ippolito, last changed 2008-01-19 23:16 by gregory.p.smith. This issue is now closed.

Files
File name Uploaded Description Edit
zipfile-2.5-1.diff bob.ippolito, 2005-04-25 02:08 zipfile-2.5-1.diff
Messages (4)
msg48259 - (view) Author: Bob Ippolito (bob.ippolito) * (Python committer) Date: 2005-04-25 02:08
The zipfile module currently can not handle archives that have file 
headers that begin past the 2**31 byte boundary.  This is really bug 
#679953 all over again -- that fix didn't solve all of the problem.

Patch to CVS HEAD attached, backport candidate to 2.4.2 and 
2.3.6.
msg48260 - (view) Author: Matthew Cowles (mdcowles) Date: 2005-10-16 19:18
Logged In: YES 
user_id=198518

[From a post to python-help]

Related to this is that zipfile raises an exception on creating a file 
that's too big. It seems that the limitation should be documented or 
removed.

This is from the message to python-help:

python version 4.2.  the class zipfile in the module zipfile is unable 
to .close() a file bigger than
2^32-1 (or whatever) bytes.

Traceback (most recent call last):
  File "bk.py", line 12, in ?
    zf.close()
  File "C:\Python24\lib\zipfile.py", line 503, in close
    zinfo.header_offset)
OverflowError: long int too large to convert to int
msg55460 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2007-08-30 04:44
i'll take care of this.
msg60247 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2008-01-19 23:16
fixed in trunk r60116 (2.6).  and release25-maint r60117 (2.5.2).
History
Date User Action Args
2008-01-19 23:16:15gregory.p.smithsetstatus: open -> closed
resolution: accepted
messages: + msg60247
2008-01-16 02:32:48jceasetnosy: + jcea
2007-11-23 08:45:50christian.heimessetcomponents: + Library (Lib), - None
versions: + Python 2.6, Python 3.0
2007-08-30 04:44:26gregory.p.smithsetassignee: gregory.p.smith
messages: + msg55460
nosy: + gregory.p.smith
2005-04-25 02:08:02bob.ippolitocreate